For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
      • GETGet service accounts
        • GETGet API keys
        • POSTCreate API key
        • DELDelete API key
        • PATCHUpdate API key
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceService AccountsAPI Keys

Get API keys

GET
/v1/service-accounts/:service_account_user_id/api-keys
GET
/v1/service-accounts/:service_account_user_id/api-keys
$curl https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys
1{
2 "api-keys": [
3 {
4 "name": "string",
5 "hint": "string",
6 "key_id": "string",
7 "service_account_user_id": "string",
8 "hashed_xi_api_key": "string",
9 "created_at_unix": 1,
10 "is_disabled": false,
11 "permissions": [
12 "text_to_speech"
13 ],
14 "character_limit": 1,
15 "character_count": 1,
16 "allowed_ips": [
17 "string"
18 ]
19 }
20 ]
21}
Get all API keys for a service account
Was this page helpful?
Previous

Create API key

Next
Built with

Path parameters

service_account_user_idstringRequired

Headers

xi-api-keystringOptional

Response

Successful Response
api-keyslist of objects

Errors

422
Unprocessable Entity Error